<?php

namespace Drupal\commerce_svea\Event;

/**
 * Defines events for the Commerce Svea module.
 */
final class SveaCheckoutEvents {

  /**
   * Name of the event fired when calling Svea for creating an order.
   *
   * @Event
   *
   * @see \Drupal\commerce_svea\Event\SveaOrderRequestEvent
   */
  const CREATE_ORDER_REQUEST = 'commerce_svea.create_order_request';

  /**
   * Name of the event fired when calling Svea for updating an order.
   *
   * @Event
   *
   * @see \Drupal\commerce_svea\Event\SveaOrderRequestEvent
   */
  const UPDATE_ORDER_REQUEST = 'commerce_svea.update_order_request';

}
